_import: _mle_base.yaml
_recentralize:
    # useful parameters to change in recentralizer
    width: 4
    mean: auto
    std: 0
    scale: 1
    offset: 0
    wsep: 2.5
    # the name of quantizer used, either `incrementer` or `recentralizer`
    name: incrementer  # or recentralizer
    # incremental interval
    interval: 1.0
_overrider:
    activation:
        fixed:
            type: mayo.override.FixedPointQuantizer
            enable: True
            width: 8
            point: 3
            should_update: false
            stochastic: false
            _priority: 100
    # prep_activation:
    #     fixed:
    #         type: mayo.override.FixedPointQuantizer
    #         enable: True
    #         width: 16
    #         point: 8
    #         should_update: false
    #         stochastic: false
    #         _priority: 100
    logits:
        weights:
            prune: $(_overrider.pruner)
            quantize: $(_overrider.$(_recentralize.name))
            # quantize: $(_overrider.quantizer)
            # encode: $(_overrider.encoder)
        activation: {}
    # logits:
    #     weights:
    #         prune: $(_overrider.pruner)
    #         quantize: $(_overrider.$(_recentralize.name))
    #     activation: {}
